be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

## Class ModifyAdmissionType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.ModifyAdmissionType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:36+01:00",
                 comments="JAXB RI v2.3.7")
      public class ModifyAdmissionType
      extends Object
      implements Serializable

  Wijziging van een bestaande opname van een bewoner

  Java class for ModifyAdmissionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ModifyAdmissionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="AdmissionVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
               <element name="AdmissionStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="AdmissionEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="EndReason" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}EndReasonType" minOccurs="0"/>
               <element name="ContractEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="BedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}ModifyBedPeriodListType" minOccurs="0"/>
               <element name="TemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}ModifyTemporaryAbsenceListType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifyAdmissionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getAdmissionEndTime()` Gets the value of the admissionEndTime property.
    `org.joda.time.DateTime` | `getAdmissionStartTime()` Gets the value of the admissionStartTime property.
    `String` | `getAdmissionVSBReference()` Gets the value of the admissionVSBReference property.
    `ModifyBedPeriodListType` | `getBedPeriodList()` Gets the value of the bedPeriodList property.
    `org.joda.time.DateTime` | `getContractEndTime()` Gets the value of the contractEndTime property.
    `EndReasonType` | `getEndReason()` Gets the value of the endReason property.
    `ModifyTemporaryAbsenceListType` | `getTemporaryAbsenceList()` Gets the value of the temporaryAbsenceList property.
    `boolean` | `isIsAccident()` Gets the value of the isAccident property.
    `void` | `setAdmissionEndTime(org.joda.time.DateTime value)` Sets the value of the admissionEndTime property.
    `void` | `setAdmissionStartTime(org.joda.time.DateTime value)` Sets the value of the admissionStartTime property.
    `void` | `setAdmissionVSBReference(String value)` Sets the value of the admissionVSBReference property.
    `void` | `setBedPeriodList(ModifyBedPeriodListType value)` Sets the value of the bedPeriodList property.
    `void` | `setContractEndTime(org.joda.time.DateTime value)` Sets the value of the contractEndTime property.
    `void` | `setEndReason(EndReasonType value)` Sets the value of the endReason property.
    `void` | `setIsAccident(boolean value)` Sets the value of the isAccident property.
    `void` | `setTemporaryAbsenceList(ModifyTemporaryAbsenceListType value)` Sets the value of the temporaryAbsenceList property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifyAdmissionType

          public ModifyAdmissionType()

  - ### Method Detail

    - #### getAdmissionVSBReference

          public String getAdmissionVSBReference()

      Gets the value of the admissionVSBReference property.
      Returns:
        possible object is `String`

    - #### setAdmissionVSBReference

          public void setAdmissionVSBReference(String value)

      Sets the value of the admissionVSBReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdmissionStartTime

          public org.joda.time.DateTime getAdmissionStartTime()

      Gets the value of the admissionStartTime property.
      Returns:
        possible object is `String`

    - #### setAdmissionStartTime

          public void setAdmissionStartTime(org.joda.time.DateTime value)

      Sets the value of the admissionStartTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdmissionEndTime

          public org.joda.time.DateTime getAdmissionEndTime()

      Gets the value of the admissionEndTime property.
      Returns:
        possible object is `String`

    - #### setAdmissionEndTime

          public void setAdmissionEndTime(org.joda.time.DateTime value)

      Sets the value of the admissionEndTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### isIsAccident

          public boolean isIsAccident()

      Gets the value of the isAccident property.

    - #### setIsAccident

          public void setIsAccident(boolean value)

      Sets the value of the isAccident property.

    - #### getEndReason

          public EndReasonType getEndReason()

      Gets the value of the endReason property.
      Returns:
        possible object is `EndReasonType`

    - #### setEndReason

          public void setEndReason(EndReasonType value)

      Sets the value of the endReason property.
      Parameters:
        `value` - allowed object is `EndReasonType`

    - #### getContractEndTime

          public org.joda.time.DateTime getContractEndTime()

      Gets the value of the contractEndTime property.
      Returns:
        possible object is `String`

    - #### setContractEndTime

          public void setContractEndTime(org.joda.time.DateTime value)

      Sets the value of the contractEndTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBedPeriodList

          public ModifyBedPeriodListType getBedPeriodList()

      Gets the value of the bedPeriodList property.
      Returns:
        possible object is `ModifyBedPeriodListType`

    - #### setBedPeriodList

          public void setBedPeriodList(ModifyBedPeriodListType value)

      Sets the value of the bedPeriodList property.
      Parameters:
        `value` - allowed object is `ModifyBedPeriodListType`

    - #### getTemporaryAbsenceList

          public ModifyTemporaryAbsenceListType getTemporaryAbsenceList()

      Gets the value of the temporaryAbsenceList property.
      Returns:
        possible object is `ModifyTemporaryAbsenceListType`

    - #### setTemporaryAbsenceList

          public void setTemporaryAbsenceList(ModifyTemporaryAbsenceListType value)

      Sets the value of the temporaryAbsenceList property.
      Parameters:
        `value` - allowed object is `ModifyTemporaryAbsenceListType`

Connector Packaging TRUSSMAKER 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.